# Uses of Enum Class
org.apache.sysds.runtime.instructions.fed.FEDInstruction.FEDType

Packages that use FEDInstruction.FEDType
Package
Description
org.apache.sysds.runtime.instructions.fed

## Uses of FEDInstruction.FEDType in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed that return FEDInstruction.FEDType
Modifier and Type
Method
Description
`FEDInstruction.FEDType`
FEDInstruction.`getFEDInstructionType()`
`static FEDInstruction.FEDType`
FEDInstruction.FEDType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FEDInstruction.FEDType[]`
FEDInstruction.FEDType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.instructions.fed with parameters of type FEDInstruction.FEDType
Modifier
Constructor
Description
``
`BinaryFEDInstruction(FEDInstruction.FEDType type, Operator op, CPOperand in1, CPOperand in2, CPOperand in3, CPOperand out, String opcode, String istr)`